diff options
author | Linus Torvalds <torvalds@g5.osdl.org> | 2006-01-16 14:19:04 -0500 |
---|---|---|
committer | Linus Torvalds <torvalds@g5.osdl.org> | 2006-01-16 14:19:04 -0500 |
commit | 9d8d5a284e11e45953ad1f12a5bf1ebc18eefb75 (patch) | |
tree | 4a0f07486932b5e6a5d52dbd2ada9d4a912b24a0 | |
parent | 4a8e4a270b89030bdeb09d2f8cef7cfe9a50e54d (diff) | |
parent | df9df036d356078679a60135fba65f79cd6153d0 (diff) |
Merge git://git.kernel.org/pub/scm/linux/kernel/git/sam/kbuild
-rw-r--r-- | Makefile | 28 | ||||
-rw-r--r-- | scripts/kconfig/confdata.c | 2 | ||||
-rw-r--r-- | scripts/kconfig/gconf.c | 2 | ||||
-rw-r--r-- | scripts/kconfig/lxdialog/Makefile | 6 | ||||
-rw-r--r-- | scripts/kconfig/lxdialog/check-lxdialog.sh | 23 | ||||
-rw-r--r-- | scripts/kconfig/mconf.c | 2 | ||||
-rw-r--r-- | scripts/kconfig/symbol.c | 4 |
7 files changed, 41 insertions, 26 deletions
@@ -106,12 +106,13 @@ KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd) | |||
106 | $(if $(KBUILD_OUTPUT),, \ | 106 | $(if $(KBUILD_OUTPUT),, \ |
107 | $(error output directory "$(saved-output)" does not exist)) | 107 | $(error output directory "$(saved-output)" does not exist)) |
108 | 108 | ||
109 | .PHONY: $(MAKECMDGOALS) | 109 | .PHONY: $(MAKECMDGOALS) cdbuilddir |
110 | $(MAKECMDGOALS) _all: cdbuilddir | ||
110 | 111 | ||
111 | $(filter-out _all,$(MAKECMDGOALS)) _all: | 112 | cdbuilddir: |
112 | $(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \ | 113 | $(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \ |
113 | KBUILD_SRC=$(CURDIR) \ | 114 | KBUILD_SRC=$(CURDIR) \ |
114 | KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile $@ | 115 | KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile $(MAKECMDGOALS) |
115 | 116 | ||
116 | # Leave processing to above invocation of make | 117 | # Leave processing to above invocation of make |
117 | skip-makefile := 1 | 118 | skip-makefile := 1 |
@@ -337,8 +338,9 @@ AFLAGS := -D__ASSEMBLY__ | |||
337 | 338 | ||
338 | # Read KERNELRELEASE from .kernelrelease (if it exists) | 339 | # Read KERNELRELEASE from .kernelrelease (if it exists) |
339 | KERNELRELEASE = $(shell cat .kernelrelease 2> /dev/null) | 340 | KERNELRELEASE = $(shell cat .kernelrelease 2> /dev/null) |
341 | KERNELVERSION = $(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION) | ||
340 | 342 | ||
341 | export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE \ | 343 | export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION \ |
342 | ARCH CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC \ | 344 | ARCH CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC \ |
343 | CPP AR NM STRIP OBJCOPY OBJDUMP MAKE AWK GENKSYMS PERL UTS_MACHINE \ | 345 | CPP AR NM STRIP OBJCOPY OBJDUMP MAKE AWK GENKSYMS PERL UTS_MACHINE \ |
344 | HOSTCXX HOSTCXXFLAGS LDFLAGS_MODULE CHECK CHECKFLAGS | 346 | HOSTCXX HOSTCXXFLAGS LDFLAGS_MODULE CHECK CHECKFLAGS |
@@ -433,6 +435,7 @@ export KBUILD_DEFCONFIG | |||
433 | config %config: scripts_basic outputmakefile FORCE | 435 | config %config: scripts_basic outputmakefile FORCE |
434 | $(Q)mkdir -p include/linux | 436 | $(Q)mkdir -p include/linux |
435 | $(Q)$(MAKE) $(build)=scripts/kconfig $@ | 437 | $(Q)$(MAKE) $(build)=scripts/kconfig $@ |
438 | $(Q)$(MAKE) .kernelrelease | ||
436 | 439 | ||
437 | else | 440 | else |
438 | # =========================================================================== | 441 | # =========================================================================== |
@@ -542,7 +545,7 @@ export INSTALL_PATH ?= /boot | |||
542 | # makefile but the arguement can be passed to make if needed. | 545 | # makefile but the arguement can be passed to make if needed. |
543 | # | 546 | # |
544 | 547 | ||
545 | MODLIB := $(INSTALL_MOD_PATH)/lib/modules/$(KERNELRELEASE) | 548 | MODLIB = $(INSTALL_MOD_PATH)/lib/modules/$(KERNELRELEASE) |
546 | export MODLIB | 549 | export MODLIB |
547 | 550 | ||
548 | 551 | ||
@@ -783,12 +786,10 @@ endif | |||
783 | localver-full = $(localver)$(localver-auto) | 786 | localver-full = $(localver)$(localver-auto) |
784 | 787 | ||
785 | # Store (new) KERNELRELASE string in .kernelrelease | 788 | # Store (new) KERNELRELASE string in .kernelrelease |
786 | kernelrelease = \ | 789 | kernelrelease = $(KERNELVERSION)$(localver-full) |
787 | $(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION)$(localver-full) | ||
788 | .kernelrelease: FORCE | 790 | .kernelrelease: FORCE |
789 | $(Q)rm -f .kernelrelease | 791 | $(Q)rm -f $@ |
790 | $(Q)echo $(kernelrelease) > .kernelrelease | 792 | $(Q)echo $(kernelrelease) > $@ |
791 | $(Q)echo " Building kernel $(kernelrelease)" | ||
792 | 793 | ||
793 | 794 | ||
794 | # Things we need to do before we recursively start building the kernel | 795 | # Things we need to do before we recursively start building the kernel |
@@ -898,7 +899,7 @@ define filechk_version.h | |||
898 | ) | 899 | ) |
899 | endef | 900 | endef |
900 | 901 | ||
901 | include/linux/version.h: $(srctree)/Makefile FORCE | 902 | include/linux/version.h: $(srctree)/Makefile .config FORCE |
902 | $(call filechk,version.h) | 903 | $(call filechk,version.h) |
903 | 904 | ||
904 | # --------------------------------------------------------------------------- | 905 | # --------------------------------------------------------------------------- |
@@ -1301,9 +1302,10 @@ checkstack: | |||
1301 | $(PERL) $(src)/scripts/checkstack.pl $(ARCH) | 1302 | $(PERL) $(src)/scripts/checkstack.pl $(ARCH) |
1302 | 1303 | ||
1303 | kernelrelease: | 1304 | kernelrelease: |
1304 | @echo $(KERNELRELEASE) | 1305 | $(if $(wildcard .kernelrelease), $(Q)echo $(KERNELRELEASE), \ |
1306 | $(error kernelrelease not valid - run 'make *config' to update it)) | ||
1305 | kernelversion: | 1307 | kernelversion: |
1306 | @echo $(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION) | 1308 | @echo $(KERNELVERSION) |
1307 | 1309 | ||
1308 | # FIXME Should go into a make.lib or something | 1310 | # FIXME Should go into a make.lib or something |
1309 | # =========================================================================== | 1311 | # =========================================================================== |
diff --git a/scripts/kconfig/confdata.c b/scripts/kconfig/confdata.c index ccd45130c482..b0cbbe2e41bb 100644 --- a/scripts/kconfig/confdata.c +++ b/scripts/kconfig/confdata.c | |||
@@ -375,7 +375,7 @@ int conf_write(const char *name) | |||
375 | if (!out_h) | 375 | if (!out_h) |
376 | return 1; | 376 | return 1; |
377 | } | 377 | } |
378 | sym = sym_lookup("KERNELRELEASE", 0); | 378 | sym = sym_lookup("KERNELVERSION", 0); |
379 | sym_calc_value(sym); | 379 | sym_calc_value(sym); |
380 | time(&now); | 380 | time(&now); |
381 | env = getenv("KCONFIG_NOTIMESTAMP"); | 381 | env = getenv("KCONFIG_NOTIMESTAMP"); |
diff --git a/scripts/kconfig/gconf.c b/scripts/kconfig/gconf.c index 9f5aabd58fa9..665bd5300a19 100644 --- a/scripts/kconfig/gconf.c +++ b/scripts/kconfig/gconf.c | |||
@@ -276,7 +276,7 @@ void init_main_window(const gchar * glade_file) | |||
276 | NULL); | 276 | NULL); |
277 | 277 | ||
278 | sprintf(title, _("Linux Kernel v%s Configuration"), | 278 | sprintf(title, _("Linux Kernel v%s Configuration"), |
279 | getenv("KERNELRELEASE")); | 279 | getenv("KERNELVERSION")); |
280 | gtk_window_set_title(GTK_WINDOW(main_wnd), title); | 280 | gtk_window_set_title(GTK_WINDOW(main_wnd), title); |
281 | 281 | ||
282 | gtk_widget_show(main_wnd); | 282 | gtk_widget_show(main_wnd); |
diff --git a/scripts/kconfig/lxdialog/Makefile b/scripts/kconfig/lxdialog/Makefile index 8f41d9a57aaa..fae3e29fc924 100644 --- a/scripts/kconfig/lxdialog/Makefile +++ b/scripts/kconfig/lxdialog/Makefile | |||
@@ -1,9 +1,9 @@ | |||
1 | # Makefile to build lxdialog package | 1 | # Makefile to build lxdialog package |
2 | # | 2 | # |
3 | 3 | ||
4 | check-lxdialog := $(srctree)/$(src)/check-lxdialog.sh | 4 | check-lxdialog := $(srctree)/$(src)/check-lxdialog.sh |
5 | HOST_EXTRACFLAGS := $(shell $(CONFIG_SHELL) $(check-lxdialog) -ccflags) | 5 | HOST_EXTRACFLAGS:= $(shell $(CONFIG_SHELL) $(check-lxdialog) -ccflags) |
6 | HOST_LOADLIBES := $(shell $(CONFIG_SHELL) $(check-lxdialog) -ldflags) | 6 | HOST_LOADLIBES := $(shell $(CONFIG_SHELL) $(check-lxdialog) -ldflags $(HOSTCC)) |
7 | 7 | ||
8 | HOST_EXTRACFLAGS += -DLOCALE | 8 | HOST_EXTRACFLAGS += -DLOCALE |
9 | 9 | ||
diff --git a/scripts/kconfig/lxdialog/check-lxdialog.sh b/scripts/kconfig/lxdialog/check-lxdialog.sh index a3c141b49670..448e353923f3 100644 --- a/scripts/kconfig/lxdialog/check-lxdialog.sh +++ b/scripts/kconfig/lxdialog/check-lxdialog.sh | |||
@@ -4,11 +4,22 @@ | |||
4 | # What library to link | 4 | # What library to link |
5 | ldflags() | 5 | ldflags() |
6 | { | 6 | { |
7 | if [ `uname` == SunOS ]; then | 7 | echo "main() {}" | $cc -lncursesw -xc - -o /dev/null 2> /dev/null |
8 | echo '-lcurses' | 8 | if [ $? -eq 0 ]; then |
9 | else | 9 | echo '-lncursesw' |
10 | exit | ||
11 | fi | ||
12 | echo "main() {}" | $cc -lncurses -xc - -o /dev/null 2> /dev/null | ||
13 | if [ $? -eq 0 ]; then | ||
10 | echo '-lncurses' | 14 | echo '-lncurses' |
15 | exit | ||
11 | fi | 16 | fi |
17 | echo "main() {}" | $cc -lcurses -xc - -o /dev/null 2> /dev/null | ||
18 | if [ $? -eq 0 ]; then | ||
19 | echo '-lcurses' | ||
20 | exit | ||
21 | fi | ||
22 | exit 1 | ||
12 | } | 23 | } |
13 | 24 | ||
14 | # Where is ncurses.h? | 25 | # Where is ncurses.h? |
@@ -28,7 +39,7 @@ ccflags() | |||
28 | compiler="" | 39 | compiler="" |
29 | # Check if we can link to ncurses | 40 | # Check if we can link to ncurses |
30 | check() { | 41 | check() { |
31 | echo "main() {}" | $compiler -xc - | 42 | echo "main() {}" | $cc -xc - -o /dev/null 2> /dev/null |
32 | if [ $? != 0 ]; then | 43 | if [ $? != 0 ]; then |
33 | echo " *** Unable to find the ncurses libraries." 1>&2 | 44 | echo " *** Unable to find the ncurses libraries." 1>&2 |
34 | echo " *** make menuconfig require the ncurses libraries" 1>&2 | 45 | echo " *** make menuconfig require the ncurses libraries" 1>&2 |
@@ -51,13 +62,15 @@ fi | |||
51 | case "$1" in | 62 | case "$1" in |
52 | "-check") | 63 | "-check") |
53 | shift | 64 | shift |
54 | compiler="$@" | 65 | cc="$@" |
55 | check | 66 | check |
56 | ;; | 67 | ;; |
57 | "-ccflags") | 68 | "-ccflags") |
58 | ccflags | 69 | ccflags |
59 | ;; | 70 | ;; |
60 | "-ldflags") | 71 | "-ldflags") |
72 | shift | ||
73 | cc="$@" | ||
61 | ldflags | 74 | ldflags |
62 | ;; | 75 | ;; |
63 | "*") | 76 | "*") |
diff --git a/scripts/kconfig/mconf.c b/scripts/kconfig/mconf.c index d63d7fb677e4..7f973195e79a 100644 --- a/scripts/kconfig/mconf.c +++ b/scripts/kconfig/mconf.c | |||
@@ -1051,7 +1051,7 @@ int main(int ac, char **av) | |||
1051 | conf_parse(av[1]); | 1051 | conf_parse(av[1]); |
1052 | conf_read(NULL); | 1052 | conf_read(NULL); |
1053 | 1053 | ||
1054 | sym = sym_lookup("KERNELRELEASE", 0); | 1054 | sym = sym_lookup("KERNELVERSION", 0); |
1055 | sym_calc_value(sym); | 1055 | sym_calc_value(sym); |
1056 | sprintf(menu_backtitle, _("Linux Kernel v%s Configuration"), | 1056 | sprintf(menu_backtitle, _("Linux Kernel v%s Configuration"), |
1057 | sym_get_string_value(sym)); | 1057 | sym_get_string_value(sym)); |
diff --git a/scripts/kconfig/symbol.c b/scripts/kconfig/symbol.c index 69c2549c0baa..3d7877afccd5 100644 --- a/scripts/kconfig/symbol.c +++ b/scripts/kconfig/symbol.c | |||
@@ -61,10 +61,10 @@ void sym_init(void) | |||
61 | if (p) | 61 | if (p) |
62 | sym_add_default(sym, p); | 62 | sym_add_default(sym, p); |
63 | 63 | ||
64 | sym = sym_lookup("KERNELRELEASE", 0); | 64 | sym = sym_lookup("KERNELVERSION", 0); |
65 | sym->type = S_STRING; | 65 | sym->type = S_STRING; |
66 | sym->flags |= SYMBOL_AUTO; | 66 | sym->flags |= SYMBOL_AUTO; |
67 | p = getenv("KERNELRELEASE"); | 67 | p = getenv("KERNELVERSION"); |
68 | if (p) | 68 | if (p) |
69 | sym_add_default(sym, p); | 69 | sym_add_default(sym, p); |
70 | 70 | ||